Package org.eclipse.birt.chart.model.layout.impl

# Class LayoutFactoryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.EFactoryImpl
org.eclipse.birt.chart.model.layout.impl.LayoutFactoryImpl

All Implemented Interfaces:
  `LayoutFactory`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`

public class LayoutFactoryImpl extends org.eclipse.emf.ecore.impl.EFactoryImpl implements LayoutFactory
An implementation of the model Factory .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.birt.chart.model.layout.LayoutFactory

`eINSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`LayoutFactoryImpl()`
Creates an instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`String`
`convertEllipsisTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertEllipsisTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertTitlePercentTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertTitlePercentTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`org.eclipse.emf.ecore.EObject`
`create(org.eclipse.emf.ecore.EClass eClass)`
`Block`
`createBlock()`
`ClientArea`
`createClientArea()`
`Integer`
`createEllipsisTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Integer`
`createEllipsisTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Object`
`createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LabelBlock`
`createLabelBlock()`
`Legend`
`createLegend()`
`Plot`
`createPlot()`
`TitleBlock`
`createTitleBlock()`
`Double`
`createTitlePercentTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Double`
`createTitlePercentTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LayoutPackage`
`getLayoutPackage()`
`static LayoutPackage`
`getPackage()`
Deprecated.
`static LayoutFactory`
`init()`
Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicSetEPackage, create, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### LayoutFactoryImpl

public LayoutFactoryImpl()
Creates an instance of the factory.

## Method Details

### init

public static LayoutFactory init()
Creates the default factory implementation.

### create

public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

public Object createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

Specified by:
  `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

public String convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

Specified by:
  `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createBlock

public Block createBlock()

Specified by:
  `createBlock` in interface `LayoutFactory`
Returns:
  a new object of class 'Block'.

### createClientArea

public ClientArea createClientArea()

Specified by:
  `createClientArea` in interface `LayoutFactory`
Returns:
  a new object of class 'Client Area'.

### createLabelBlock

public LabelBlock createLabelBlock()

Specified by:
  `createLabelBlock` in interface `LayoutFactory`
Returns:
  a new object of class 'Label Block'.

### createLegend

public Legend createLegend()

Specified by:
  `createLegend` in interface `LayoutFactory`
Returns:
  a new object of class 'Legend'.

### createPlot

public Plot createPlot()

Specified by:
  `createPlot` in interface `LayoutFactory`
Returns:
  a new object of class 'Plot'.

### createTitleBlock

public TitleBlock createTitleBlock()

Specified by:
  `createTitleBlock` in interface `LayoutFactory`
Returns:
  a new object of class 'Title Block'.

### createEllipsisTypeFromString

public Integer createEllipsisTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertEllipsisTypeToString

public String convertEllipsisTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createEllipsisTypeObjectFromString

public Integer createEllipsisTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertEllipsisTypeObjectToString

public String convertEllipsisTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createTitlePercentTypeFromString

public Double createTitlePercentTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertTitlePercentTypeToString

public String convertTitlePercentTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createTitlePercentTypeObjectFromString

public Double createTitlePercentTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertTitlePercentTypeObjectToString

public String convertTitlePercentTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### getLayoutPackage

public LayoutPackage getLayoutPackage()

Specified by:
  `getLayoutPackage` in interface `LayoutFactory`
Returns:
  the package supported by this factory.

### getPackage

@Deprecated public static LayoutPackage getPackage()
Deprecated.